<section class="timeline">
    {% for year, events in meta.items() %}
        <div class="timeline-year">
            <h2>{{ year }}</h2>
           
            <div class="timeline-year-events">
                {% for event in events %}
                    <div class="timeline-event">
                        {% if event.Name %}
                            <h3>{{ event.Name }}</h3>
                        {% endif %}

                        {% if event.Location %}
                            <div class="timeline-event-location">
                                <h4>Location</h4>
                                <p>{{ event.Location }}</p>
                            </div>
                        {% endif %}

                        {% if event.Factions %}
                            <details class="timeline-event-factions">
                                <summary>Factions</summary>
                                <ul>
                                    {% for faction in event.Factions %}
                                        <li>{{ faction }}</li>
                                    {% endfor %}
                                </ul>
                            </details>
                        {% endif %}
                        
                        {% if event.Characters %}
                            <details class="timeline-event-characters">
                                <summary>Characters</summary>
                                <ul>
                                    {% for character in event.Characters %}
                                        <li>{{ character }}</li>
                                    {% endfor %}
                                </ul>
                            </details>
                        {% endif %}
                        
                        {% if event.Description %}
                            <div class="timeline-event-description">
                                {{ event.Description | replace('\n', '<br>') | safe }}
                            </div>
                        {% endif %}
                    </div>
                {% endfor %}
            </div>
        </div>
    {% endfor %}
</section>
